List approval requests
GET /v1/approvals · SDK listApprovals · CLI deployments approval list
Requires approvals:read.
AuthorizationBearer <token>Opaque bearer credential scoped to one service account and tenant.
cursor?stringOpaque cursor returned by the previous page.
1 <= length <= 4096limit?integerMaximum number of resources to return.
1 <= value <= 100status?stringOnly return approvals in this status.
"approved""expired""pending""rejected"x-deployments-environment?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ListApprovalsResponse
application/json- response
approvals*array<>nextCursor?|nullcurl -X GET "https://example.com/v1/approvals"{ "approvals": [ { "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "version": 0, "environmentId": "string", "organizationId": "string", "projectId": "string", "escalatedAt": "2019-08-24T14:15:22Z", "escalationCount": 0, "escalationPolicy": { "property1": null, "property2": null }, "executionBindingId": "string", "executionPurpose": "customer", "expiresAt": "2019-08-24T14:15:22Z", "id": "string", "object": "approval", "request": { "property1": null, "property2": null }, "requestedByAgentDeploymentId": "string", "resolvedAt": "2019-08-24T14:15:22Z", "resolvedByPrincipalId": "string", "runId": "string", "status": "approved", "toolCallId": "string" } ], "nextCursor": "string"}